Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_cipher.h File Reference

Go to the source code of this file.

## Functions
const EVP_CIPHER * | ossl_evp_get_cipherbyname (VALUE)
VALUE | ossl_cipher_new (const EVP_CIPHER *)
void | Init_ossl_cipher (void)

## Variables
VALUE | cCipher
VALUE | eCipherError

## Function Documentation

## ◆ Init_ossl_cipher()

void Init_ossl_cipher | ( | void |  | ) |

Definition at line 821 of file ossl_cipher.c.

References cCipher, eCipherError, eOSSLError, mOSSL, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_module(), and rb_eStandardError.

## ◆ ossl_cipher_new()

VALUE ossl_cipher_new | ( | const EVP_CIPHER * |  | ) |

Definition at line 75 of file ossl_cipher.c.

## ◆ ossl_evp_get_cipherbyname()

const EVP_CIPHER* ossl_evp_get_cipherbyname | ( | VALUE |  | ) |

Definition at line 52 of file ossl_cipher.c.

References cCipher, GetCipher, obj, ossl_raise(), PRIsVALUE, rb_eArgError, rb_obj_is_kind_of(), RSTRING_PTR, and StringValueCStr.

## Variable Documentation

## ◆ cCipher

VALUE cCipher

Definition at line 33 of file ossl_cipher.c.

Referenced by Init_ossl_cipher(), and ossl_evp_get_cipherbyname().

## ◆ eCipherError

VALUE eCipherError

Definition at line 34 of file ossl_cipher.c.

Referenced by Init_ossl_cipher().